import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientDocumentCreateManyPatientInputObjectSchema as PatientDocumentCreateManyPatientInputObjectSchema } from './PatientDocumentCreateManyPatientInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => PatientDocumentCreateManyPatientInputObjectSchema), z.lazy(() => PatientDocumentCreateManyPatientInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const PatientDocumentCreateManyPatientInputEnvelopeObjectSchema: z.ZodType<Prisma.PatientDocumentCreateManyPatientInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.PatientDocumentCreateManyPatientInputEnvelope>;
export const PatientDocumentCreateManyPatientInputEnvelopeObjectZodSchema = makeSchema();
